Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685688 - python-tldextract-2.2.1 is available
Summary: python-tldextract-2.2.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tldextract
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eli Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 19:25 UTC by Upstream Release Monitoring
Modified: 2019-03-29 19:10 UTC (History)
1 user (show)

Fixed In Version: python-tldextract-2.2.1-1.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 05:15:36 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-03-05 19:25:00 UTC
Latest upstream release: 2.2.1
Current version/release in rawhide: 2.2.0-6.fc30
URL: https://pypi.python.org/pypi/tldextract

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/17052/

Comment 1 Fedora Update System 2019-03-05 20:20:54 UTC
python-tldextract-2.2.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba7384428c

Comment 2 Fedora Update System 2019-03-05 20:21:02 UTC
python-tldextract-2.2.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-adb247faa4

Comment 3 Fedora Update System 2019-03-05 20:21:13 UTC
python-tldextract-2.2.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aac548ef25

Comment 4 Fedora Update System 2019-03-05 20:21:23 UTC
python-tldextract-2.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5dd16b69e2

Comment 5 Eli Young 2019-03-05 20:29:47 UTC
I cannot properly update this in rawhide at the moment. This package depends on python-responses for testing. The version currently packaged is 0.9.0, which has a dependency on python-cookies. Unfortunately, that package was recently marked as dead and removed from rawhide[1]. More recent versions of python-responses have been released that only depend on the cookies package for Python < 3.4 and instead depend on a different package, biscuits, for Python >= 3.4[2]. Unfortunately, that isn't currently packaged at all, preventing an update for python-responses. I'll see about getting biscuits packaged so that this can be resolved.

[1]: https://src.fedoraproject.org/rpms/python-cookies/c/2083020c8047153c58946218fa6373ca5b57a558
[2]: https://github.com/getsentry/responses/commit/5641667fb85fc4da70317d0387b4914e4d57fce7

Comment 6 Fedora Update System 2019-03-06 15:13:02 UTC
python-tldextract-2.2.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ba7384428c

Comment 7 Fedora Update System 2019-03-06 15:57:16 UTC
python-tldextract-2.2.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-adb247faa4

Comment 8 Fedora Update System 2019-03-06 16:14:30 UTC
python-tldextract-2.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5dd16b69e2

Comment 9 Fedora Update System 2019-03-06 22:24:19 UTC
python-tldextract-2.2.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aac548ef25

Comment 10 Fedora Update System 2019-03-06 22:53:48 UTC
python-tldextract-2.2.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aac548ef25

Comment 11 Eli Young 2019-03-12 20:35:55 UTC
python-requests has been updated in rawhide to the current upstream release, which requires neither cookies nor biscuits.

Comment 12 Eli Young 2019-03-12 20:36:43 UTC
(In reply to Eli Young from comment #11)
> python-requests has been updated in rawhide to the current upstream release,
> which requires neither cookies nor biscuits.

Er, to finish my thought: As a result, I am now able to update python-tldextract in rawhide, and have done so.

Comment 13 Fedora Update System 2019-03-19 05:15:36 UTC
python-tldextract-2.2.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-03-19 05:19:10 UTC
python-tldextract-2.2.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-23 03:52:00 UTC
python-tldextract-2.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-03-29 19:10:11 UTC
python-tldextract-2.2.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.